ConnectionPropertiesImpl.IntegerConnectionProperty
Date: 2018-05-01

com.mysql.jdbc

## Class ConnectionPropertiesImpl.IntegerConnectionProperty

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
  - - com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ConnectionPropertiesImpl.LongConnectionProperty, ConnectionPropertiesImpl.MemorySizeConnectionProperty
  Enclosing class:
    ConnectionPropertiesImpl

      static class ConnectionPropertiesImpl.IntegerConnectionProperty
      extends ConnectionPropertiesImpl.ConnectionProperty
      implements java.io.Serializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `multiplier`

    - ### Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

      `allowableValues, categoryName, defaultValue, description, lowerBound, order, propertyName, required, sinceVersion, updateCount, upperBound, valueAsObject, wasExplicitlySet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPropertiesImpl.IntegerConnectionProperty(java.lang.String propertyNameToSet, int defaultValueToSet, int lowerBoundToSet, int upperBoundToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`
    `ConnectionPropertiesImpl.IntegerConnectionProperty(java.lang.String propertyNameToSet, int defaultValueToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`
    `ConnectionPropertiesImpl.IntegerConnectionProperty(java.lang.String propertyNameToSet, java.lang.Object defaultValueToSet, java.lang.String[] allowableValuesToSet, int lowerBoundToSet, int upperBoundToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String[]` | `getAllowableValues()`
    `(package private) int` | `getLowerBound()`
    `(package private) int` | `getUpperBound()`
    `(package private) int` | `getValueAsInt()`
    `(package private) boolean` | `hasValueConstraints()`
    `(package private) void` | `initializeFrom(java.lang.String extractedValue, ExceptionInterceptor exceptionInterceptor)`
    `(package private) boolean` | `isRangeBased()`
    `(package private) void` | `setValue(int intValue, ExceptionInterceptor exceptionInterceptor)`
    `(package private) void` | `setValue(int intValue, java.lang.String valueAsString, ExceptionInterceptor exceptionInterceptor)`

    - ### Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

      `getAsDriverPropertyInfo, getCategoryName, getDefaultValue, getOrder, getPropertyName, getUpdateCount, getValueAsObject, initializeFrom, initializeFrom, isExplicitlySet, setCategoryName, setOrder, setValueAsObject, storeTo, validateStringValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### multiplier

          int multiplier

  - ### Constructor Detail

    - #### ConnectionPropertiesImpl.IntegerConnectionProperty

          public ConnectionPropertiesImpl.IntegerConnectionProperty(java.lang.String propertyNameToSet,
                                                            java.lang.Object defaultValueToSet,
                                                            java.lang.String[] allowableValuesToSet,
                                                            int lowerBoundToSet,
                                                            int upperBoundToSet,
                                                            java.lang.String descriptionToSet,
                                                            java.lang.String sinceVersionToSet,
                                                            java.lang.String category,
                                                            int orderInCategory)

    - #### ConnectionPropertiesImpl.IntegerConnectionProperty

          ConnectionPropertiesImpl.IntegerConnectionProperty(java.lang.String propertyNameToSet,
                                                            int defaultValueToSet,
                                                            int lowerBoundToSet,
                                                            int upperBoundToSet,
                                                            java.lang.String descriptionToSet,
                                                            java.lang.String sinceVersionToSet,
                                                            java.lang.String category,
                                                            int orderInCategory)

    - #### ConnectionPropertiesImpl.IntegerConnectionProperty

          ConnectionPropertiesImpl.IntegerConnectionProperty(java.lang.String propertyNameToSet,
                                                            int defaultValueToSet,
                                                            java.lang.String descriptionToSet,
                                                            java.lang.String sinceVersionToSet,
                                                            java.lang.String category,
                                                            int orderInCategory)

      Parameters:
        `propertyNameToSet` -
        `defaultValueToSet` -
        `descriptionToSet` -
        `sinceVersionToSet` -

  - ### Method Detail

    - #### getAllowableValues

          java.lang.String[] getAllowableValues()

      Overrides:
        `getAllowableValues` in class `ConnectionPropertiesImpl.ConnectionProperty`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#getAllowableValues()`

    - #### getLowerBound

          int getLowerBound()

      Overrides:
        `getLowerBound` in class `ConnectionPropertiesImpl.ConnectionProperty`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#getLowerBound()`

    - #### getUpperBound

          int getUpperBound()

      Overrides:
        `getUpperBound` in class `ConnectionPropertiesImpl.ConnectionProperty`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#getUpperBound()`

    - #### getValueAsInt

          int getValueAsInt()

    - #### hasValueConstraints

          boolean hasValueConstraints()

      Specified by:
        `hasValueConstraints` in class `ConnectionPropertiesImpl.ConnectionProperty`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#hasValueConstraints()`

    - #### initializeFrom

          void initializeFrom(java.lang.String extractedValue,
                            ExceptionInterceptor exceptionInterceptor)
                        throws java.sql.SQLException

      Specified by:
        `initializeFrom` in class `ConnectionPropertiesImpl.ConnectionProperty`
      Throws:
        `java.sql.SQLException`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#initializeFrom(java.lang.String)`

    - #### isRangeBased

          boolean isRangeBased()

      Specified by:
        `isRangeBased` in class `ConnectionPropertiesImpl.ConnectionProperty`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#isRangeBased()`

    - #### setValue

          void setValue(int intValue,
                      ExceptionInterceptor exceptionInterceptor)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setValue

          void setValue(int intValue,
                      java.lang.String valueAsString,
                      ExceptionInterceptor exceptionInterceptor)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`